### Constructor

# Gtk ListStore newv

deprecated: 4.10

#### Declaration [src]

    GtkListStore*
    gtk_list_store_newv (
      int n_columns,
      GType* types
    )

#### Description [src]

Creates a new `GtkListStore`.

This function is meant to be used by language bindings.

Deprecated since: 4.10

Use `GListStore` instead.

This constructor is renamed to `()` in language bindings.

#### Parameters

`n_columns`

  Type: `int`

  Number of columns in the list store.

`types`

  Type: An array of `GType`

  An array of `GType` types for the columns, from first to last.

  The length of the array is specified in the `n_columns` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkListStore`

A new `GtkListStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.